Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.events
Class DisplayContentEvent

    java.lang.Object
      com.bea.p13n.property.AbstractConfigurableEntity
          com.bea.p13n.events.Event
              com.bea.p13n.tracking.events.TrackingEvent
                  com.bea.p13n.tracking.events.ContentEvent
                      com.bea.p13n.tracking.events.DisplayContentEvent

All Implemented Interfaces
  EventConstants, ConfigurableEntity, Serializable

    public class DisplayContentEvent

extends ContentEvent

Event for tracking display of content

See Also
  Serialized Form

Field Summary
`static String` | `TYPE` The event type

Fields inherited from class com.bea.p13n.tracking.events.ContentEvent
`DOCUMENT_ID, DOCUMENT_TYPE`

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`REQUEST, SESSION_ID, USER_ID, USER_TYPE`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.bea.p13n.events.EventConstants
`TYPE_ALL`

Constructor Summary
`DisplayContentEvent(javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest theRequest, String aDocumentType, String aDocumentId)` Create a new DisplayContentEvent.
`DisplayContentEvent(String theSessionId, String theUserId, javax.servlet.http.HttpServletRequest theRequest, String aDocumentType, String aDocumentId)` Deprecated

Method Summary

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getSession, getXMLNamespace, getXSDFile, setSchemaKeys, setSession, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### TYPE

    public static final String TYPE

  The event type

  See Also
    Constants Summary

Constructor Detail

### DisplayContentEvent

    public DisplayContentEvent(javax.servlet.http.HttpSession session,
                               javax.servlet.http.HttpServletRequest theRequest,
                               String aDocumentType,
                               String aDocumentId)

  Create a new DisplayContentEvent. This ctor must be used for tracking anonymous users.

  Parameters
    `theRequest` - the http servlet request object
    `aDocumentType` - Document Type for the displayed content (optionally null)
    `aDocumentId` - Document ID for the displayed content (optionally null)

### DisplayContentEvent

    public DisplayContentEvent(String theSessionId,
                               String theUserId,
                               javax.servlet.http.HttpServletRequest theRequest,
                               String aDocumentType,
                               String aDocumentId)

  Deprecated

  Create a new DisplayContentEvent.

  Parameters
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theRequest` - the http servlet request object
    `aDocumentType` - Document Type for the displayed content (optionally null)
    `aDocumentId` - Document ID for the displayed content (optionally null)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved